=== core/launcher/Makefile ===
#############################################################################
# Makefile for building: ../../bin/qpe
# Generated by qmake (1.04a) on: Wed Aug 27 23:52:08 2003
# Project:  launcher.pro
# Template: app
# Command: $(QMAKE) -o Makefile launcher.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I../../include -I../../core/apps/calibrate -I../../rsync -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lcrypt -lopie -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = launcher.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = background.h \
		desktop.h \
		screensaver.h \
		mediummountgui.h \
		info.h \
		appicons.h \
		taskbar.h \
		sidething.h \
		runningappbar.h \
		stabmon.h \
		inputmethods.h \
		systray.h \
		wait.h \
		shutdownimpl.h \
		launcher.h \
		launcherview.h \
		../../core/apps/calibrate/calibrate.h \
		startmenu.h \
		transferserver.h \
		qcopbridge.h \
		packageslave.h \
		irserver.h \
		../../rsync/buf.h \
		../../rsync/checksum.h \
		../../rsync/command.h \
		../../rsync/emit.h \
		../../rsync/job.h \
		../../rsync/netint.h \
		../../rsync/protocol.h \
		../../rsync/prototab.h \
		../../rsync/rsync.h \
		../../rsync/search.h \
		../../rsync/stream.h \
		../../rsync/sumset.h \
		../../rsync/trace.h \
		../../rsync/types.h \
		../../rsync/util.h \
		../../rsync/whole.h \
		../../rsync/config_rsync.h \
		../../rsync/qrsync.h \
		quicklauncher.h
SOURCES = background.cpp \
		desktop.cpp \
		screensaver.cpp \
		mediummountgui.cpp \
		info.cpp \
		appicons.cpp \
		taskbar.cpp \
		sidething.cpp \
		runningappbar.cpp \
		stabmon.cpp \
		inputmethods.cpp \
		systray.cpp \
		wait.cpp \
		shutdownimpl.cpp \
		launcher.cpp \
		launcherview.cpp \
		../../core/apps/calibrate/calibrate.cpp \
		transferserver.cpp \
		packageslave.cpp \
		irserver.cpp \
		qcopbridge.cpp \
		startmenu.cpp \
		main.cpp \
		../../rsync/base64.c \
		../../rsync/buf.c \
		../../rsync/checksum.c \
		../../rsync/command.c \
		../../rsync/delta.c \
		../../rsync/emit.c \
		../../rsync/hex.c \
		../../rsync/job.c \
		../../rsync/mdfour.c \
		../../rsync/mksum.c \
		../../rsync/msg.c \
		../../rsync/netint.c \
		../../rsync/patch.c \
		../../rsync/prototab.c \
		../../rsync/readsums.c \
		../../rsync/scoop.c \
		../../rsync/search.c \
		../../rsync/stats.c \
		../../rsync/stream.c \
		../../rsync/sumset.c \
		../../rsync/trace.c \
		../../rsync/tube.c \
		../../rsync/util.c \
		../../rsync/version.c \
		../../rsync/whole.c \
		../../rsync/qrsync.cpp
OBJECTS = background.o \
		desktop.o \
		screensaver.o \
		mediummountgui.o \
		info.o \
		appicons.o \
		taskbar.o \
		sidething.o \
		runningappbar.o \
		stabmon.o \
		inputmethods.o \
		systray.o \
		wait.o \
		shutdownimpl.o \
		launcher.o \
		launcherview.o \
		calibrate.o \
		transferserver.o \
		packageslave.o \
		irserver.o \
		qcopbridge.o \
		startmenu.o \
		main.o \
		base64.o \
		buf.o \
		checksum.o \
		command.o \
		delta.o \
		emit.o \
		hex.o \
		job.o \
		mdfour.o \
		mksum.o \
		msg.o \
		netint.o \
		patch.o \
		prototab.o \
		readsums.o \
		scoop.o \
		search.o \
		stats.o \
		stream.o \
		sumset.o \
		trace.o \
		tube.o \
		util.o \
		version.o \
		whole.o \
		qrsync.o \
		syncdialog.o
FORMS = syncdialog.ui
UICDECLS = syncdialog.h
UICIMPLS = syncdialog.cpp
SRCMOC   = moc_background.cpp \
		moc_desktop.cpp \
		moc_mediummountgui.cpp \
		moc_info.cpp \
		moc_appicons.cpp \
		moc_taskbar.cpp \
		moc_sidething.cpp \
		moc_runningappbar.cpp \
		moc_inputmethods.cpp \
		moc_systray.cpp \
		moc_shutdownimpl.cpp \
		moc_launcher.cpp \
		moc_launcherview.cpp \
		../../core/apps/calibrate/moc_calibrate.cpp \
		moc_startmenu.cpp \
		moc_transferserver.cpp \
		moc_qcopbridge.cpp \
		moc_packageslave.cpp \
		moc_irserver.cpp \
		moc_quicklauncher.cpp \
		moc_syncdialog.cpp \
		appicons.moc
OBJMOC = moc_background.o \
		moc_desktop.o \
		moc_mediummountgui.o \
		moc_info.o \
		moc_appicons.o \
		moc_taskbar.o \
		moc_sidething.o \
		moc_runningappbar.o \
		moc_inputmethods.o \
		moc_systray.o \
		moc_shutdownimpl.o \
		moc_launcher.o \
		moc_launcherview.o \
		moc_calibrate.o \
		moc_startmenu.o \
		moc_transferserver.o \
		moc_qcopbridge.o \
		moc_packageslave.o \
		moc_irserver.o \
		moc_quicklauncher.o \
		moc_syncdialog.o
DIST	   = ../../gen.pro \
		../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/launcher/launcher.pro
PRO      = launcher.pro
QMAKE_TARGET = qpe
DESTDIR  = ../../bin/
TARGET   = ../../bin/qpe

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d ../../bin/ || mkdir -p ../../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: launcher.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../gen.pro \
		../../include.pro
	$(QMAKE) -o Makefile launcher.pro
qmake: 
	@$(QMAKE) -o Makefile launcher.pro

dist: 
	@mkdir -p .tmp/qpe && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/qpe/ && $(COPY_FILE) --parents ../../i18n/de/qpe.ts ../../i18n/nl/qpe.ts ../../i18n/xx/qpe.ts ../../i18n/en/qpe.ts ../../i18n/es/qpe.ts ../../i18n/fr/qpe.ts ../../i18n/hu/qpe.ts ../../i18n/ja/qpe.ts ../../i18n/ko/qpe.ts ../../i18n/no/qpe.ts ../../i18n/pl/qpe.ts ../../i18n/pt/qpe.ts ../../i18n/pt_BR/qpe.ts ../../i18n/sl/qpe.ts ../../i18n/zh_CN/qpe.ts ../../i18n/it/qpe.ts ../../i18n/zh_TW/qpe.ts ../../i18n/da/qpe.ts .tmp/qpe/ && ( cd `dirname .tmp/qpe` && $(TAR) qpe.tar qpe && $(GZIP) qpe.tar ) && $(MOVE) `dirname .tmp/qpe`/qpe.tar.gz . && $(DEL_DIR) .tmp/qpe

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP background.h desktop.h screensaver.h mediummountgui.h info.h appicons.h taskbar.h sidething.h runningappbar.h stabmon.h inputmethods.h systray.h wait.h shutdownimpl.h launcher.h launcherview.h ../../core/apps/calibrate/calibrate.h startmenu.h transferserver.h qcopbridge.h packageslave.h irserver.h ../../rsync/buf.h ../../rsync/checksum.h ../../rsync/command.h ../../rsync/emit.h ../../rsync/job.h ../../rsync/netint.h ../../rsync/protocol.h ../../rsync/prototab.h ../../rsync/rsync.h ../../rsync/search.h ../../rsync/stream.h ../../rsync/sumset.h ../../rsync/trace.h ../../rsync/types.h ../../rsync/util.h ../../rsync/whole.h ../../rsync/config_rsync.h ../../rsync/qrsync.h quicklauncher.h background.cpp desktop.cpp screensaver.cpp mediummountgui.cpp info.cpp appicons.cpp taskbar.cpp sidething.cpp runningappbar.cpp stabmon.cpp inputmethods.cpp systray.cpp wait.cpp shutdownimpl.cpp launcher.cpp launcherview.cpp ../../core/apps/calibrate/calibrate.cpp transferserver.cpp packageslave.cpp irserver.cpp qcopbridge.cpp startmenu.cpp main.cpp ../../rsync/base64.c ../../rsync/buf.c ../../rsync/checksum.c ../../rsync/command.c ../../rsync/delta.c ../../rsync/emit.c ../../rsync/hex.c ../../rsync/job.c ../../rsync/mdfour.c ../../rsync/mksum.c ../../rsync/msg.c ../../rsync/netint.c ../../rsync/patch.c ../../rsync/prototab.c ../../rsync/readsums.c ../../rsync/scoop.c ../../rsync/search.c ../../rsync/stats.c ../../rsync/stream.c ../../rsync/sumset.c ../../rsync/trace.c ../../rsync/tube.c ../../rsync/util.c ../../rsync/version.c ../../rsync/whole.c ../../rsync/qrsync.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a background.h desktop.h screensaver.h mediummountgui.h info.h appicons.h taskbar.h sidething.h runningappbar.h stabmon.h inputmethods.h systray.h wait.h shutdownimpl.h launcher.h launcherview.h ../../core/apps/calibrate/calibrate.h startmenu.h transferserver.h qcopbridge.h packageslave.h irserver.h ../../rsync/buf.h ../../rsync/checksum.h ../../rsync/command.h ../../rsync/emit.h ../../rsync/job.h ../../rsync/netint.h ../../rsync/protocol.h ../../rsync/prototab.h ../../rsync/rsync.h ../../rsync/search.h ../../rsync/stream.h ../../rsync/sumset.h ../../rsync/trace.h ../../rsync/types.h ../../rsync/util.h ../../rsync/whole.h ../../rsync/config_rsync.h ../../rsync/qrsync.h quicklauncher.h background.cpp desktop.cpp screensaver.cpp mediummountgui.cpp info.cpp appicons.cpp taskbar.cpp sidething.cpp runningappbar.cpp stabmon.cpp inputmethods.cpp systray.cpp wait.cpp shutdownimpl.cpp launcher.cpp launcherview.cpp ../../core/apps/calibrate/calibrate.cpp transferserver.cpp packageslave.cpp irserver.cpp qcopbridge.cpp startmenu.cpp main.cpp ../../rsync/base64.c ../../rsync/buf.c ../../rsync/checksum.c ../../rsync/command.c ../../rsync/delta.c ../../rsync/emit.c ../../rsync/hex.c ../../rsync/job.c ../../rsync/mdfour.c ../../rsync/mksum.c ../../rsync/msg.c ../../rsync/netint.c ../../rsync/patch.c ../../rsync/prototab.c ../../rsync/readsums.c ../../rsync/scoop.c ../../rsync/search.c ../../rsync/stats.c ../../rsync/stream.c ../../rsync/sumset.c ../../rsync/trace.c ../../rsync/tube.c ../../rsync/util.c ../../rsync/version.c ../../rsync/whole.c ../../rsync/qrsync.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

background.o: background.cpp background.h \
		desktop.h \
		shutdownimpl.h

desktop.o: desktop.cpp desktop.h \
		info.h \
		launcher.h \
		qcopbridge.h \
		shutdownimpl.h \
		startmenu.h \
		taskbar.h \
		transferserver.h \
		irserver.h \
		packageslave.h \
		screensaver.h \
		background.h \
		launcherview.h

screensaver.o: screensaver.cpp screensaver.h

mediummountgui.o: mediummountgui.cpp mediummountgui.h

info.o: info.cpp info.h \
		desktop.h \
		background.h \
		shutdownimpl.h

appicons.o: appicons.cpp appicons.h \
		appicons.moc

taskbar.o: taskbar.cpp startmenu.h \
		inputmethods.h \
		runningappbar.h \
		systray.h \
		../../core/apps/calibrate/calibrate.h \
		wait.h \
		appicons.h \
		taskbar.h \
		desktop.h \
		../launcher/apps.h \
		shutdownimpl.h

sidething.o: sidething.cpp sidething.h \
		startmenu.h

runningappbar.o: runningappbar.cpp runningappbar.h

stabmon.o: stabmon.cpp stabmon.h

inputmethods.o: inputmethods.cpp inputmethods.h

systray.o: systray.cpp quicklauncher.h \
		systray.h

wait.o: wait.cpp wait.h

shutdownimpl.o: shutdownimpl.cpp shutdownimpl.h

launcher.o: launcher.cpp launcherview.h \
		launcher.h \
		syncdialog.h \
		desktop.h \
		../../rsync/qrsync.h \
		mediummountgui.h \
		shutdownimpl.h
