=== core/opie-login/Makefile ===
#############################################################################
# Makefile for building: $(OPIEDIR)/bin/opie-login
# Generated by qmake (1.04a) on: Wed Aug 27 23:57:11 2003
# Project:  opie-login.pro
# Template: app
# Command: $(QMAKE) -o Makefile opie-login.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DUSEPAM -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DUSEPAM -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I../launcher -I../apps/calibrate -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lopie -lpam -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = opie-login.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = loginwindowimpl.h \
		loginapplication.h \
		../launcher/inputmethods.h \
		../apps/calibrate/calibrate.h
SOURCES = loginwindowimpl.cpp \
		loginapplication.cpp \
		../launcher/inputmethods.cpp \
		../apps/calibrate/calibrate.cpp \
		main.cpp
OBJECTS = loginwindowimpl.o \
		loginapplication.o \
		inputmethods.o \
		calibrate.o \
		main.o \
		loginwindow.o
FORMS = loginwindow.ui
UICDECLS = loginwindow.h
UICIMPLS = loginwindow.cpp
SRCMOC   = moc_loginwindowimpl.cpp \
		../launcher/moc_inputmethods.cpp \
		../apps/calibrate/moc_calibrate.cpp \
		moc_loginwindow.cpp
OBJMOC = moc_loginwindowimpl.o \
		moc_inputmethods.o \
		moc_calibrate.o \
		moc_loginwindow.o
DIST	   = ../../gen.pro \
		../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/opie-login/opie-login.pro
PRO      = opie-login.pro
QMAKE_TARGET = opie-login
DESTDIR  = $(OPIEDIR)/bin/
TARGET   = $(OPIEDIR)/bin/opie-login

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d $(OPIEDIR)/bin/ || mkdir -p $(OPIEDIR)/bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: opie-login.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../gen.pro \
		../../include.pro
	$(QMAKE) -o Makefile opie-login.pro
qmake: 
	@$(QMAKE) -o Makefile opie-login.pro

dist: 
	@mkdir -p .tmp/opie-login && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/opie-login/ && $(COPY_FILE) --parents ../../i18n/de/opie-login.ts ../../i18n/nl/opie-login.ts ../../i18n/xx/opie-login.ts ../../i18n/en/opie-login.ts ../../i18n/es/opie-login.ts ../../i18n/fr/opie-login.ts ../../i18n/hu/opie-login.ts ../../i18n/ja/opie-login.ts ../../i18n/ko/opie-login.ts ../../i18n/no/opie-login.ts ../../i18n/pl/opie-login.ts ../../i18n/pt/opie-login.ts ../../i18n/pt_BR/opie-login.ts ../../i18n/sl/opie-login.ts ../../i18n/zh_CN/opie-login.ts ../../i18n/zh_TW/opie-login.ts ../../i18n/it/opie-login.ts ../../i18n/da/opie-login.ts .tmp/opie-login/ && ( cd `dirname .tmp/opie-login` && $(TAR) opie-login.tar opie-login && $(GZIP) opie-login.tar ) && $(MOVE) `dirname .tmp/opie-login`/opie-login.tar.gz . && $(DEL_DIR) .tmp/opie-login

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP loginwindowimpl.h loginapplication.h ../launcher/inputmethods.h ../apps/calibrate/calibrate.h loginwindowimpl.cpp loginapplication.cpp ../launcher/inputmethods.cpp ../apps/calibrate/calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a loginwindowimpl.h loginapplication.h ../launcher/inputmethods.h ../apps/calibrate/calibrate.h loginwindowimpl.cpp loginapplication.cpp ../launcher/inputmethods.cpp ../apps/calibrate/calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

loginwindowimpl.o: loginwindowimpl.cpp loginwindowimpl.h \
		loginapplication.h \
		../launcher/inputmethods.h \
		loginwindow.h

loginapplication.o: loginapplication.cpp loginapplication.h

inputmethods.o: ../launcher/inputmethods.cpp ../launcher/inputmethods.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o inputmethods.o ../launcher/inputmethods.cpp

calibrate.o: ../apps/calibrate/calibrate.cpp ../apps/calibrate/calibrate.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o calibrate.o ../apps/calibrate/calibrate.cpp

main.o: main.cpp loginapplication.h \
		loginwindowimpl.h \
		../apps/calibrate/calibrate.h \
		loginwindow.h

loginwindow.h: loginwindow.ui 
	$(UIC) loginwindow.ui -o loginwindow.h

loginwindow.cpp: loginwindow.h loginwindow.ui 
	$(UIC) loginwindow.ui -i loginwindow.h -o loginwindow.cpp

loginwindow.o: loginwindow.cpp loginwindow.h

moc_loginwindowimpl.o: moc_loginwindowimpl.cpp loginwindowimpl.h loginwindow.h

moc_inputmethods.o: ../launcher/moc_inputmethods.cpp ../launcher/inputmethods.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_inputmethods.o ../launcher/moc_inputmethods.cpp

moc_calibrate.o: ../apps/calibrate/moc_calibrate.cpp ../apps/calibrate/calibrate.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_calibrate.o ../apps/calibrate/moc_calibrate.cpp

moc_loginwindow.o: moc_loginwindow.cpp loginwindow.h 

moc_loginwindowimpl.cpp: $(MOC) loginwindowimpl.h
	$(MOC) loginwindowimpl.h -o moc_loginwindowimpl.cpp

../launcher/moc_inputmethods.cpp: $(MOC) ../launcher/inputmethods.h
	$(MOC) ../launcher/inputmethods.h -o ../launcher/moc_inputmethods.cpp

../apps/calibrate/moc_calibrate.cpp: $(MOC) ../apps/calibrate/calibrate.h
	$(MOC) ../apps/calibrate/calibrate.h -o ../apps/calibrate/moc_calibrate.cpp

moc_loginwindow.cpp: $(MOC) loginwindow.h
	$(MOC) loginwindow.h -o moc_loginwindow.cpp

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/bin/ || mkdir -p $(INSTALL_ROOT)/usr/bin/
	-$(COPY) "$(OPIEDIR)/bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/bin/"


install: all install_target 

uninstall: uninstall_target
