=== core/applets/suspendapplet/Makefile ===
#############################################################################
# Makefile for building: libsuspendapplet.so.1.0.0
# Generated by qmake (1.04a) on: Wed Aug 27 23:58:14 2003
# Project:  suspendapplet.pro
# Template: lib
# Command: $(QMAKE) -o Makefile suspendapplet.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA) -shared -Wl,-soname,libsuspendapplet.so.1
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = suspendapplet.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = suspend.h
SOURCES = suspend.cpp
OBJECTS = suspend.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/applets/suspendapplet/suspendapplet.pro
PRO      = suspendapplet.pro
QMAKE_TARGET = suspendapplet
DESTDIR  = $(OPIEDIR)/plugins/applets/
TARGET   = libsuspendapplet.so.1.0.0
TARGETA	= $(OPIEDIR)/plugins/applets/libsuspendapplet.a
TARGETD	= libsuspendapplet.so.1.0.0
TARGET0	= libsuspendapplet.so
TARGET1	= libsuspendapplet.so.1
TARGET2	= libsuspendapplet.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  $(OPIEDIR)/plugins/applets/$(TARGET)

$(OPIEDIR)/plugins/applets/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) 
	test -d $(OPIEDIR)/plugins/applets/ || mkdir -p $(OPIEDIR)/plugins/applets/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET1)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) $(OPIEDIR)/plugins/applets/



staticlib: $(TARGETA)

$(TARGETA): $(UICDECLS) $(OBJECTS) $(OBJMOC)
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: suspendapplet.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile suspendapplet.pro
qmake: 
	@$(QMAKE) -o Makefile suspendapplet.pro

dist: 
	@mkdir -p .tmp/suspendapplet && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/suspendapplet/ && $(COPY_FILE) --parents ../../../i18n/de/libsuspendapplet.ts ../../../i18n/nl/libsuspendapplet.ts ../../../i18n/da/libsuspendapplet.ts ../../../i18n/xx/libsuspendapplet.ts ../../../i18n/en/libsuspendapplet.ts ../../../i18n/es/libsuspendapplet.ts ../../../i18n/fr/libsuspendapplet.ts ../../../i18n/hu/libsuspendapplet.ts ../../../i18n/ja/libsuspendapplet.ts ../../../i18n/ko/libsuspendapplet.ts ../../../i18n/no/libsuspendapplet.ts ../../../i18n/pl/libsuspendapplet.ts ../../../i18n/pt/libsuspendapplet.ts ../../../i18n/pt_BR/libsuspendapplet.ts ../../../i18n/sl/libsuspendapplet.ts ../../../i18n/zh_CN/libsuspendapplet.ts ../../../i18n/zh_TW/libsuspendapplet.ts .tmp/suspendapplet/ && ( cd `dirname .tmp/suspendapplet` && $(TAR) suspendapplet.tar suspendapplet && $(GZIP) suspendapplet.tar ) && $(MOVE) `dirname .tmp/suspendapplet`/suspendapplet.tar.gz . && $(DEL_DIR) .tmp/suspendapplet

mocclean:

uiclean:

clean:
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET) $(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0) $(OPIEDIR)/plugins/applets/$(TARGET1) $(OPIEDIR)/plugins/applets/$(TARGET2) $(TARGETA)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP suspend.h suspend.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a suspend.h suspend.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

suspend.o: suspend.cpp suspend.h

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/lib/ || mkdir -p $(INSTALL_ROOT)/usr/lib/
	-$(COPY) "$(OPIEDIR)/plugins/applets/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/lib/"


install: all install_target 

uninstall: uninstall_target
