=== core/apps/calibrate/Makefile ===
#############################################################################
# Makefile for building: $(OPIEDIR)/bin/calibrate
# Generated by qmake (1.04a) on: Fri Aug 29 11:45:41 2003
# Project:  calibrate.pro
# Template: app
# Command: $(QMAKE) -o Makefile calibrate.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(QTDIR)/include -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0.1.1snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = calibrate.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = calibrate.h
SOURCES = calibrate.cpp \
		main.cpp
OBJECTS = calibrate.o \
		main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_calibrate.cpp
OBJMOC = moc_calibrate.o
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0.1.1snapshot20030828/core/apps/calibrate/calibrate.pro
PRO      = calibrate.pro
QMAKE_TARGET = calibrate
DESTDIR  = $(OPIEDIR)/bin/
TARGET   = $(OPIEDIR)/bin/calibrate

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d $(OPIEDIR)/bin/ || mkdir -p $(OPIEDIR)/bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: calibrate.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0.1.1snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile calibrate.pro
qmake: 
	@$(QMAKE) -o Makefile calibrate.pro

dist: 
	@mkdir -p .tmp/calibrate && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/calibrate/ && $(COPY_FILE) --parents ../../../i18n/de/calibrate.pro.in.ts ../../../i18n/nl/calibrate.pro.in.ts ../../../i18n/da/calibrate.pro.in.ts ../../../i18n/xx/calibrate.pro.in.ts ../../../i18n/en/calibrate.pro.in.ts ../../../i18n/es/calibrate.pro.in.ts ../../../i18n/fr/calibrate.pro.in.ts ../../../i18n/hu/calibrate.pro.in.ts ../../../i18n/ja/calibrate.pro.in.ts ../../../i18n/ko/calibrate.pro.in.ts ../../../i18n/no/calibrate.pro.in.ts ../../../i18n/pl/calibrate.pro.in.ts ../../../i18n/pt/calibrate.pro.in.ts ../../../i18n/pt_BR/calibrate.pro.in.ts ../../../i18n/sl/calibrate.pro.in.ts ../../../i18n/zh_CN/calibrate.pro.in.ts ../../../i18n/it/calibrate.pro.in.ts ../../../i18n/zh_TW/calibrate.pro.in.ts .tmp/calibrate/ && ( cd `dirname .tmp/calibrate` && $(TAR) calibrate.tar calibrate && $(GZIP) calibrate.tar ) && $(MOVE) `dirname .tmp/calibrate`/calibrate.tar.gz . && $(DEL_DIR) .tmp/calibrate

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP calibrate.h calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a calibrate.h calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

calibrate.o: calibrate.cpp calibrate.h \
		$(QTDIR)/include/qapplication.h \
		$(QTDIR)/include/qpainter.h \
		$(QTDIR)/include/qtimer.h \
		$(QTDIR)/include/qwindowsystem_qws.h \
		$(QTDIR)/include/qgfx_qws.h \
		$(QTDIR)/include/qwsmouse_qws.h \
		$(QTDIR)/include/qdialog.h \
		$(QTDIR)/include/qpixmap.h \
		$(QTDIR)/include/qobject.h \
		$(QTDIR)/include/qpointarray.h \
		$(QTDIR)/include/qobjectdefs.h \
		$(QTDIR)/include/qwindowdefs.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qevent.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qregion.h \
		$(QTDIR)/include/qmime.h \
		$(QTDIR)/include/qrect.h \
		$(QTDIR)/include/qsize.h \
		$(QTDIR)/include/qpoint.h \
		$(QTDIR)/include/qlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qcollection.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qwidget.h \
		$(QTDIR)/include/qpaintdevice.h \
		$(QTDIR)/include/qpalette.h \
		$(QTDIR)/include/qcursor.h \
		$(QTDIR)/include/qfont.h \
		$(QTDIR)/include/qfontmetrics.h \
		$(QTDIR)/include/qfontinfo.h \
		$(QTDIR)/include/qstyle.h \
		$(QTDIR)/include/qsizepolicy.h \
		$(QTDIR)/include/qcolor.h \
		$(QTDIR)/include/qbrush.h \
		$(QTDIR)/include/qasciidict.h \
		$(QTDIR)/include/qtranslator.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qintdict.h \
		$(QTDIR)/include/qpen.h \
		$(QTDIR)/include/qwmatrix.h \
		$(QTDIR)/include/qwssocket_qws.h \
		$(QTDIR)/include/qmap.h \
		$(QTDIR)/include/qdatetime.h \
		$(QTDIR)/include/qimage.h \
		$(QTDIR)/include/qwsproperty_qws.h \
		$(QTDIR)/include/qwscommand_qws.h \
		$(QTDIR)/include/qwsevent_qws.h \
		$(QTDIR)/include/qkeyboard_qws.h \
		$(QTDIR)/include/qsocket.h \
		$(QTDIR)/include/qserversocket.h \
		$(QTDIR)/include/qsocketdevice.h \
		$(QTDIR)/include/qsocketnotifier.h \
		$(QTDIR)/include/qhostaddress.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qwsutils_qws.h \
		$(QTDIR)/include/qfontmanager_qws.h

main.o: main.cpp calibrate.h \
		$(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qwindowsystem_qws.h \
		$(QTDIR)/include/qwsmouse_qws.h \
		$(QTDIR)/include/qdialog.h \
		$(QTDIR)/include/qpixmap.h \
		$(QTDIR)/include/qobject.h \
		$(QTDIR)/include/qpointarray.h \
		$(QTDIR)/include/qobjectdefs.h \
		$(QTDIR)/include/qwindowdefs.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qevent.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qregion.h \
		$(QTDIR)/include/qmime.h \
		$(QTDIR)/include/qrect.h \
		$(QTDIR)/include/qsize.h \
		$(QTDIR)/include/qpoint.h \
		$(QTDIR)/include/qlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qcollection.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qwidget.h \
		$(QTDIR)/include/qpaintdevice.h \
		$(QTDIR)/include/qpalette.h \
		$(QTDIR)/include/qcursor.h \
		$(QTDIR)/include/qfont.h \
		$(QTDIR)/include/qfontmetrics.h \
		$(QTDIR)/include/qfontinfo.h \
		$(QTDIR)/include/qstyle.h \
		$(QTDIR)/include/qsizepolicy.h \
		$(QTDIR)/include/qcolor.h \
		$(QTDIR)/include/qbrush.h \
		$(QTDIR)/include/qwssocket_qws.h \
		$(QTDIR)/include/qmap.h \
		$(QTDIR)/include/qdatetime.h \
		$(QTDIR)/include/qimage.h \
		$(QTDIR)/include/qintdict.h \
		$(QTDIR)/include/qwsproperty_qws.h \
		$(QTDIR)/include/qwscommand_qws.h \
		$(QTDIR)/include/qwsevent_qws.h \
		$(QTDIR)/include/qkeyboard_qws.h \
		$(QTDIR)/include/qsocket.h \
		$(QTDIR)/include/qserversocket.h \
		$(QTDIR)/include/qsocketdevice.h \
		$(QTDIR)/include/qsocketnotifier.h \
		$(QTDIR)/include/qhostaddress.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qwsutils_qws.h

moc_calibrate.o: moc_calibrate.cpp calibrate.h $(QTDIR)/include/qwsmouse_qws.h \
		$(QTDIR)/include/qdialog.h \
		$(QTDIR)/include/qpixmap.h \
		$(QTDIR)/include/qobject.h \
		$(QTDIR)/include/qpointarray.h \
		$(QTDIR)/include/qobjectdefs.h \
		$(QTDIR)/include/qwindowdefs.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qevent.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qregion.h \
		$(QTDIR)/include/qmime.h \
		$(QTDIR)/include/qrect.h \
		$(QTDIR)/include/qsize.h \
		$(QTDIR)/include/qpoint.h \
		$(QTDIR)/include/qlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qcollection.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qwidget.h \
		$(QTDIR)/include/qpaintdevice.h \
		$(QTDIR)/include/qpalette.h \
		$(QTDIR)/include/qcursor.h \
		$(QTDIR)/include/qfont.h \
		$(QTDIR)/include/qfontmetrics.h \
		$(QTDIR)/include/qfontinfo.h \
		$(QTDIR)/include/qstyle.h \
		$(QTDIR)/include/qsizepolicy.h \
		$(QTDIR)/include/qcolor.h \
		$(QTDIR)/include/qbrush.h

moc_calibrate.cpp: $(MOC) calibrate.h
	$(MOC) calibrate.h -o moc_calibrate.cpp

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/bin/ || mkdir -p $(INSTALL_ROOT)/usr/bin/
	-$(COPY) "$(OPIEDIR)/bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/bin/"


install: all install_target 

uninstall: uninstall_target
