=== core/apps/qcop/Makefile ===
#############################################################################
# Makefile for building: $(OPIEDIR)/bin/qcop
# Generated by qmake (1.04a) on: Wed Aug 27 23:58:09 2003
# Project:  qcop.pro
# Template: app
# Command: $(QMAKE) -o Makefile qcop.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = qcop.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/apps/qcop/qcop.pro
PRO      = qcop.pro
QMAKE_TARGET = qcop
DESTDIR  = $(OPIEDIR)/bin/
TARGET   = $(OPIEDIR)/bin/qcop

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d $(OPIEDIR)/bin/ || mkdir -p $(OPIEDIR)/bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: qcop.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile qcop.pro
qmake: 
	@$(QMAKE) -o Makefile qcop.pro

dist: 
	@mkdir -p .tmp/qcop && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/qcop/ && $(COPY_FILE) --parents ../../../i18n/de/qcop.ts ../../../i18n/nl/qcop.ts ../../../i18n/da/qcop.ts ../../../i18n/xx/qcop.ts ../../../i18n/en/qcop.ts ../../../i18n/es/qcop.ts ../../../i18n/fr/qcop.ts ../../../i18n/hu/qcop.ts ../../../i18n/ja/qcop.ts ../../../i18n/ko/qcop.ts ../../../i18n/no/qcop.ts ../../../i18n/pl/qcop.ts ../../../i18n/pt/qcop.ts ../../../i18n/pt_BR/qcop.ts ../../../i18n/sl/qcop.ts ../../../i18n/zh_CN/qcop.ts ../../../i18n/zh_TW/qcop.ts .tmp/qcop/ && ( cd `dirname .tmp/qcop` && $(TAR) qcop.tar qcop && $(GZIP) qcop.tar ) && $(MOVE) `dirname .tmp/qcop`/qcop.tar.gz . && $(DEL_DIR) .tmp/qcop

mocclean:

uiclean:

clean:
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

main.o: main.cpp 

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/bin/ || mkdir -p $(INSTALL_ROOT)/usr/bin/
	-$(COPY) "$(OPIEDIR)/bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/bin/"


install: all install_target 

uninstall: uninstall_target
