=== debian/changelog ===
opie-base-fb (1.0.1.1snapshot20030828-2) unstable; urgency=low

  * More build fixes
  * Minor upstream updates

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Sep 2003 08:50:00 -0700

opie-base-fb (1.0.1.1snapshot20030828-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 29 Aug 2003 11:27:00 -0700

opie-base-fb (1.0snapshot20030828-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 27 Aug 2003 23:10:00 -0700

opie-base-fb (0.9.3.0snapshot20030628-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Jun 2003 18:08:00 -0700

opie-base-fb (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Add in a | pmud to op-taskbar-fb (Closes: #186728)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 05 Apr 2003 01:11:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030303-2) unstable; urgency=low

  * First round of description cleanup
  * Some upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 10 Mar 2003 12:17:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030303-1) unstable; urgency=low

  * New upstream pull
  * Change from fb to embedded for sections

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Mar 2003 04:14:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030209-2) unstable; urgency=low

  * Add missing build-dep for flex

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Feb 2003 02:13:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030209-1) unstable; urgency=low

  * Change prefix from opie- to op- so we don't confuse people with the
    already existing opie- packages in Debian.

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 10 Feb 2003 01:00:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030205-1) unstable; urgency=low

  * Breaking out into individual source packages to make it easier to
    manage.
  * This package includes: opie-login-fb, opie-taskbar-fb, opiealarm-fb,
                           opie-pics, opie-sounds, opie-common, opie-qcop-fb
                           and the meta package opie-base-fb.
  * Supposed to include Calibrate.desktop however calibrate doesn't compile.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 05 Feb 2003 06:18:00 -0700

opie-fb (0.9.1-0.snapshot.20030204-1) unstable; urgency=low

  * Fix pathing in Opie-Sh scripts
  * Fix pathing in opie-login scripts
  * Change OPIEDIR default when OPIEDIR is not set to /usr/share/opie...so
    we should *not* need to have it set anymore in the same sense as QTDIR.
  * HUGE patch breaking out all of the qpeDir() statements to individual
    types (submitted upstream) so we can change paths globally in one location.
  * Change source name to opie-fb and change package extensions from -fb to
    -fb to better match what they are for.  Framebuffer vs Qt/E.

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 04 Feb 2003 06:18:00 -0700

opie-fb (0.9.1-0.snapshot.20030203-1) unstable; urgency=low

  * Break out packages a bit more.  Ok..maybe more than a bit...ftpmasters
    are going to kill me if this is what we end up with.
    Using -fb for non-opie specific Qt/E packages.
    opie-games -> individual games and a opie-games meta package
    opie-styles and opie-decorations are now meta packages
    libopietooth1 & libopietooth-dev exist now.
    embeddedkonsole-fb, textedit-qte, opie-login, filebrowser-qte,
    helpbrowser-fb, mediaplayer-qte, mobilemsg-qte, aqpkg-qte, 
    bluepin-fb
    oipkg-fb created but not in use since it requires a external app
    opie-core -> opie-base
    a bunch more...figure it out yourself!!! :)
  * opie-fb meta package created which will depend on all Opie packages
  * Sync with upstream
  * Arm specific build optimization added

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Feb 2003 03:35:00 -0700

opie-fb (0.9.1-0.snapshot.20030131-1) unstable; urgency=low

  * Initial Release. (Closes: #179176)
  * All changes to source outside of the debian/ dir are via patches 
    which are in debian/patches.  Applied prior to build process and
    removed during a clean.
  * First round is Qt/Embedded based only. OPIEDIR=/usr/share/opie
  * Hardcode QTDIR to the proper place as well.  Well, this is a fallback
    so if you build your own based on this source and have QTDIR actually
    set to something other than Debian's default you'll be ok.

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 30 Jan 2003 20:58:56 -0700
