=== debian/control ===
Source: opie-base-fb
Section: embedded
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Build-Depends: debhelper (>> 4.1.26), libqte2-dev, libqpe-fb-dev (>= 1.0.1), libopie-fb-dev (>= 1.0.1), libpam0g-dev, uuid-dev, libjpeg62-dev, flex, bison, libfreetype6-dev
Standards-Version: 3.5.8

Package: op-fb
Architecture: all
Section: embedded
Depends: op-login-fb, op-taskbar-fb, op-sounds, op-pics, op-settings-fb, op-applets-fb, op-apps-fb, op-comnet-fb, op-games-fb, op-inputmethods-fb, op-multimedia-fb, op-pim-fb, op-decorations-fb, op-styles-fb, op-graphics-fb, op-tools-fb
Recommends: op-i18n, op-doc
Suggests: op-alarm-fb
Description: Open Palm Integrated Environment
 Meta package depending on all components of the 
 frame buffer version of Opie.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-login-fb
Architecture: any
Section: embedded
Depends: ${shlibs:Depends}, op-base, op-taskbar-fb
Description: Multiuser login for Opie
 A xdm/kdm equivalent for Opie.  
 .
 This is the frame buffer version.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-taskbar-fb
Architecture: any
Section: embedded
Depends: ${shlibs:Depends}, apmd | pmud, op-common, op-qcop-fb, op-sounds, op-pics
Description: Launcher for Opie
 Base applications and support files for Opie.  This includes taskbar
 and launcher apps.
 .
 This is the frame buffer version.
  .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-alarm-fb
Architecture: any
Section: utils
Replaces: atd
Depends: ${shlibs:Depends}, op-base, hotplug
Provides: atd
Description: Wakeup system for Opie events
 Tiny, Opie specific replacement for ipaqalarm, uschedule, and
 qpe2uschedule.
 .
 This is the frame buffer version.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-pics
Architecture: all
Section: embedded
Depends: op-taskbar-fb
Description: a few unassigned for Opie environment
 General Opie icons which can be used by any Opie application.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-sounds
Architecture: all
Section: embedded
Depends: op-taskbar-fb
Description: Basic sounds for the Opie environment
 General Opie sounds which can be used by any Opie application.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-common
Architecture: all
Section: embedded
Replaces: op-base
Provides: op-base, qpe-base
Description: Common core files for Opie
 These are core files common to all Opie applications.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-qcop-fb
Architecture: any
Section: embedded
Depends: ${shlibs:Depends}
Description: Interprocess communication client
 This is Opie's Interprocess communication client.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.
